Chunk text using the specified chunker
This is an all-purpose chunking endpoint you can use by specifying the chunker and modelId to use.
The POST request submits text to be split into chunks based on the CHUNKER (chunking strategy) and MODEL_ID sent in the request.
The API responds with the following information:
-
chunkingIdthat is a unique UUID for the submitted chunking task, and can be used later to retrieve the results. -
statusthat indicates the current state of the chunking task.
IMPORTANT: The available use cases by chunker are detailed in their own section in this specification.
Documentation Index
Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
Use this file to discover all available pages before exploring further.
Headers
Bearer token used for authentication. Format: Authorization: Bearer ACCESS_TOKEN.
The content type of the request body.
"application/json"
Path Parameters
Unique identifier for the model.
"gte-small"
Chunking strategy for the way text is split.
dynamic-newline, dynamic-sentence, regex-splitter, semantic, sentence Body
The batch of key:value pairs used in the chunking request.
Provides fields and values that specify ranges for tokens.
This parameter contains fields that determine how the text is split and the size of text chunks created.
IMPORTANT: Specific information is detailed in each use case.
Response
OK
This is the response to the POST chunking request submitted for a specific chunker and modelId.
The universal unique identifier (UUID) returned in the POST request. This UUID is required in the GET request to retrieve results.
"441eb3be-7de6-470a-8141-e416a15c7db1"
The current status of the request. Allowed values are:
-
SUBMITTED - The POST request was successful and the response has returned the
chunkingIdandstatusthat is used by the GET request. -
ERROR - An error was generated when the GET request was sent.
-
READY - The results associated with the
chunkingIdare available and ready to be retrieved. -
RETRIEVED - The results associated with the
chunkingIdare returned successfully when the GET request was sent.
"SUBMITTED"